package com.th.demo.mapping.system;

import com.th.demo.model.system.SysMenu;

import java.util.List;

public interface SysMenuMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysMenu record);

    int insertSelective(SysMenu record);

    SysMenu selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysMenu record);

    int updateByPrimaryKey(SysMenu record);
    
    List<SysMenu> selectByUserId(String UserId);
    List<SysMenu> selectAll();
    List<SysMenu> selectByMenuPid(String MenuPid);
    List<SysMenu> selectByRoleId(String RoleId);
    List<SysMenu> selectMainMenu();

    List<SysMenu> selectAppMenuByUserId(String userId);

    int deleteByUpdate9(SysMenu sysMenu);

    List<String> selectTableName();


    SysMenu selectByMenuCode(String code);

    List<SysMenu> selectByUserIdForRoleMenu(String userId);
}